;(function(){
module.exports = {
  mixins: [require("vue-mixins/onceDocument"), require("vue-mixins/isOpened2"), require("vue-mixins/style"), require("vue-mixins/class"), require("vue-mixins/transition2")],
  props: {
    "class": {
      "default": function() {
        return ["fixed-action-btn"];
      }
    },
    style: {
      "default": function() {
        return [];
      }
    },
    closeOnClick: {
      type: Boolean,
      "default": false
    },
    clickToToggle: {
      type: Boolean,
      "default": false
    },
    notDismissable: {
      type: Boolean,
      "default": false
    },
    transition: {
      type: String,
      "default": "fab-transition"
    },
    transitionName: {
      type: String,
      "default": "fab"
    }
  },
  computed: {
    mergeStyle: function() {
      return {
        position: "fixed",
        userSelect: "none"
      };
    },
    fabStyle: function() {
      return [];
    }
  },
  methods: {
    onHover: function() {
      if (!this.clickToToggle) {
        return this.open();
      }
    },
    onUnhover: function() {
      if (!this.clickToToggle) {
        return this.close();
      }
    },
    onFabClick: function(e) {
      if (!e.defaultPrevented) {
        this.clickFab = true;
        setTimeout(((function(_this) {
          return function() {
            return _this.clickFab = false;
          };
        })(this)), 10);
        if (this.clickToToggle) {
          e.preventDefault();
          return this.toggle();
        }
      }
    },
    onInnerClick: function() {
      this.setClickInside();
      if (this.closeOnClick && !this.clickFab) {
        return this.close();
      }
    },
    setClickInside: function() {
      this.clickInside = true;
      return setTimeout(((function(_this) {
        return function() {
          return _this.clickInside = false;
        };
      })(this)), 10);
    },
    show: function() {
      if (this.opened) {
        return;
      }
      this.setOpened();
      return this.$nextTick((function(_this) {
        return function() {
          if (!_this.notDismissable && _this.clickToToggle) {
            if (typeof _this.removeDocumentClickListener === "function") {
              _this.removeDocumentClickListener();
            }
            _this.removeDocumentClickListener = _this.onceDocument("click", function() {
              if (!_this.clickInside) {
                _this.hide();
              }
              return !_this.clickInside;
            });
            if (typeof _this.removeDocumentKeyupListener === "function") {
              _this.removeDocumentKeyupListener();
            }
            return _this.removeDocumentKeyupListener = _this.onceDocument("keyup", function(e) {
              if (!e.defaultPrevented) {
                if (e.which === 27) {
                  e.preventDefault();
                  _this.hide();
                  return true;
                }
              }
              return false;
            });
          }
        };
      })(this));
    },
    hide: function() {
      if (!this.opened) {
        return;
      }
      if (typeof this.removeDocumentClickListener === "function") {
        this.removeDocumentClickListener();
      }
      this.removeDocumentClickListener = null;
      if (typeof this.removeDocumentKeyupListener === "function") {
        this.removeDocumentKeyupListener();
      }
      this.removeDocumentKeyupListener = null;
      return this.setClosed();
    },
    open: function() {
      return this.show();
    },
    close: function() {
      return this.hide();
    },
    toggle: function() {
      if (this.opened) {
        return this.close();
      } else {
        return this.open();
      }
    }
  },
  beforeDestroy: function() {
    if (typeof this.removeDocumentClickListener === "function") {
      this.removeDocumentClickListener();
    }
    return typeof this.removeDocumentKeyupListener === "function" ? this.removeDocumentKeyupListener() : void 0;
  }
};

})()
if (module.exports.__esModule) module.exports = module.exports.default
var __vue__options__ = (typeof module.exports === "function"? module.exports.options: module.exports)
__vue__options__.render = function(){with(this){return _h('div',{class:computedClass,style:(computedStyle),on:{"click":function($event){$event.preventDefault();onInnerClick($event)},"mouseenter":onHover,"mouseleave":onUnhover}},[(opened)?_h(cTransitionGroup,{tag:"transition-group",style:(fabStyle),attrs:{"tag":"ul","name":transitionName}},[_t("default")]):_e(),_h('a',{on:{"click":onFabClick}},[_t("fab")])])}}
__vue__options__.staticRenderFns = []
